Subject: Re: bug#47819: 8.0.50; When :height/:width image attribute is specified, :scale factor is not applied

From: Alan Third <[email-masked]>
Date: Sat, 17 Apr 2021 09:42:18 +0100

On Sat, Apr 17, 2021 at 09:23:55AM +0100, Alan Third wrote:
> 
> I don't know why you would want to use scale with em dimensions, since
> you can just set the em dimensions directly.
> 
> For example ":scale 2 :height '(1 . em)" is exactly the same as
> ":scale 1 :height '(2 . em)", so why bother?
> 
> Plus if you specify something to be 1em in height, then create-image
> applies its magic scale factor, you end up with something that is not
> 1em in height.
> 
> So yeah, I'm not convinced that this is behaviour we want.

OK, I'm still convinced this isn't really the behaviour we want, but I
did some further investigation and realised this is a bug introduced
by me recently. I thought it had worked this way for a long time.

I'll just push the change up to fix it.
-- 
Alan Third